# -*- coding: utf-8 -*-

"""
    Copyright (C) 2020, Tony + HazMat + PJ
    Module for the Enterprise Addon
    
"""

#xbmc stuff
import xbmc,xbmcaddon,xbmcplugin,xbmcgui
from xbmcplugin import addDirectoryItem, endOfDirectory

# Python Stuff
import os,re,sys,json,base64,urllib,urlparse,requests,shutil,socket,urllib2
import datetime, time

from os.path import join
import requests, json
import operator

skin_used           = xbmc.getSkinDir()
addon_id            = xbmcaddon.Addon().getAddonInfo('id')
addon_name          = xbmcaddon.Addon().getAddonInfo('name')
home_folder         = xbmc.translatePath('special://home/')
addon_folder        = os.path.join(home_folder, 'addons')
art_path            = os.path.join(addon_folder, addon_id, 'resources', 'art')
resources_path      = os.path.join(art_path, 'resources')
user_data_folder 	= os.path.join(home_folder, 'userdata')
addon_data_folder 	= os.path.join(user_data_folder, 'addon_data')
ownAddon            = xbmcaddon.Addon(id=addon_id)
icon 				= os.path.join(art_path,'icon.png')
fanart 				= os.path.join(art_path,'fanart.jpg')
lib_path            = os.path.join(resources_path, 'lib')
addon_icon          = os.path.join(art_path,'icon.png')
addon_fanart        = os.path.join(art_path,'fanart.jpg')
nhl_art = os.path.join(art_path,'nhlarts')

## addon art ##
icon = os.path.join(art_path,'icon.gif')
addon_icon = os.path.join(art_path,'icon.gif')
movie_icon = os.path.join(art_path,'movies.gif')
# genre_icon = os.path.join(art_path,'genre.gif')
genre_icon = 'https://i.imgur.com/44D082S.png' 
tools_icon = os.path.join(art_path,'tools.png')
# search_icon = os.path.join(art_path,'search.gif')
# year_icon = os.path.join(art_path,'year.gif')
# title_icon = os.path.join(art_path,'title.gif')
search_icon = 'https://i.imgur.com/v8zZSUv.png' 
year_icon = 'https://i.imgur.com/pej6GnI.png' 
title_icon = 'https://i.imgur.com/kiz2H1Q.png' 
settings_icon = os.path.join(art_path,'settings.gif')
tv_icon = os.path.join(art_path,"shows.gif")
concert_icon = os.path.join(art_path,"concerts.gif")
sports_icon = os.path.join(art_path,"sports.gif")
replays_icon = os.path.join(art_path,"replays.gif")
xxx_icon = os.path.join(art_path,"xxx.gif")
live_icon = os.path.join(art_path,'livetv.gif')


sci_fi_icon = 'https://i.imgur.com/byZOVmX.png' 
action_icon = 'https://i.imgur.com/ilEZw19.png'
adventure_icon = 'https://i.imgur.com/hyzLKSp.png'
animation_icon = 'https://i.imgur.com/aoMVJeI.png'
comedy_icon = 'https://i.imgur.com/Ap7Z3iP.png'
crime_icon = 'https://i.imgur.com/Makxjwb.png'
doc_icon = 'https://i.imgur.com/xw1Km86.png'
drama_icon = 'https://i.imgur.com/8Ldkwkp.png'
family_icon = 'https://i.imgur.com/CiExH8U.png'
fantasy_icon = 'https://i.imgur.com/FkHbH5f.png'
history_icon = 'https://i.imgur.com/dcsLCYb.png'
horror_icon = 'https://i.imgur.com/nRSC7OZ.png'
music_icon = 'https://i.imgur.com/qEG2lHG.png'
mystery_icon = 'https://i.imgur.com/Fvx47aB.png'
romance_icon = 'https://i.imgur.com/Twjfrlk.png'
tvmovie_icon = 'https://i.imgur.com/Y4yj8X7.png'
thriller_icon = 'https://i.imgur.com/8RrBZPh.png'
war_icon = 'https://i.imgur.com/qBxcoML.png'
western_icon = 'https://i.imgur.com/DxOm1di.png'

icon_2020 = 'https://i.imgur.com/beKSnFO.png'
icon_2019 = 'https://i.imgur.com/VOQ7Qol.png'
icon_2018 = 'https://i.imgur.com/RrhOtwi.png'
icon_2017 = 'https://i.imgur.com/PHRvUKU.png'
icon_2016 = 'https://i.imgur.com/dvoNZEH.png'
icon_2015 = 'https://i.imgur.com/ov6P3ZI.png'
icon_2014 = 'https://i.imgur.com/rz9KKMM.png'
icon_2013 = 'https://i.imgur.com/q7ZBZI2.png'
icon_2012 = 'https://i.imgur.com/DM0PsIy.png'
icon_2011 = 'https://i.imgur.com/MuT1ET3.png'
icon_2010 = 'https://i.imgur.com/mdxIx34.png'
icon_2009 = 'https://i.imgur.com/tNmn7FW.png'
icon_2008 = 'https://i.imgur.com/ebzFPPo.png'
icon_2007 = 'https://i.imgur.com/kS7rsFo.png'
icon_2006 = 'https://i.imgur.com/BbtS7pW.png'
icon_2005 = 'https://i.imgur.com/E1UzQYX.png'
icon_2004 = 'https://i.imgur.com/03XGGrL.png'
icon_2003 = 'https://i.imgur.com/AfbZoMu.png'
icon_2002 = 'https://i.imgur.com/4yOrGAc.png'
icon_2001 = 'https://i.imgur.com/HWjzNUK.png'
icon_2000 = 'https://i.imgur.com/00By0Bz.png'
icon_1999 = 'https://i.imgur.com/FKexsTo.png'
icon_1998 = 'https://i.imgur.com/jEoiQxb.png'
icon_1997 = 'https://i.imgur.com/I683N5N.png'
icon_1996 = 'https://i.imgur.com/B19e9W9.png'
icon_1995 = 'https://i.imgur.com/EtlcUyg.png'
icon_1994 = 'https://i.imgur.com/02yao71.png'
icon_1993 = 'https://i.imgur.com/TZ2YU8N.png'
icon_1992 = 'https://i.imgur.com/YxxTLEW.png'
icon_1991 = 'https://i.imgur.com/8cLvZjA.png'
icon_1990 = 'https://i.imgur.com/lSsvpVX.png'
icon_1989 = 'https://i.imgur.com/6hHxieZ.png'
icon_1988 = 'https://i.imgur.com/8fcR1fP.png'
icon_1987 = 'https://i.imgur.com/Zndl8f2.png'
icon_1986 = 'https://i.imgur.com/zCGu31W.png'
icon_1985 = 'https://i.imgur.com/qcu8GGu.png'
icon_1984 = 'https://i.imgur.com/J8h7mSw.png'
icon_1983 = 'https://i.imgur.com/3Kvg5A0.png'
icon_1982 = 'https://i.imgur.com/lPLOtw8.png'
icon_1981 = 'https://i.imgur.com/ojgh91l.png'
icon_1980 = 'https://i.imgur.com/FRFcxPD.png'
icon_1979 = 'https://i.imgur.com/mSZ5OOQ.png'
icon_1978 = 'https://i.imgur.com/8x3WvSB.png'
icon_1977 = 'https://i.imgur.com/tPt3Rck.png'
icon_1976 = 'https://i.imgur.com/vVIoo6n.png'
icon_1975 = 'https://i.imgur.com/DonWirp.png'
icon_1974 = 'https://i.imgur.com/naSpbVh.png'
icon_1973 = 'https://i.imgur.com/ozPXqH2.png'
icon_1972 = 'https://i.imgur.com/DTXLZNg.png'
icon_1971 = 'https://i.imgur.com/3teFce5.png'
icon_1970 = 'https://i.imgur.com/MuuCQ5e.png'
icon_1969 = 'https://i.imgur.com/VAiKBLa.png'
icon_1968 = 'https://i.imgur.com/l9uE6PK.png'
icon_1967 = 'https://i.imgur.com/HjbFyPN.png'
icon_1966 = 'https://i.imgur.com/b8SFu4v.png'
icon_1965 = 'https://i.imgur.com/lGInYKL.png'
icon_1964 = 'https://i.imgur.com/uBsrqnl.png'
icon_1963 = 'https://i.imgur.com/RnrCUjv.png'
icon_1962 = 'https://i.imgur.com/UGVhgzb.png'
icon_1961 = 'https://i.imgur.com/0ozxGzP.png'
icon_1960 = 'https://i.imgur.com/D59fnbc.png'
icon_1959 = 'https://i.imgur.com/KNxCOq5.png'
icon_1958 = 'https://i.imgur.com/5lv4JBr.png'
icon_1957 = 'https://i.imgur.com/u1o37Nw.png'
icon_1956 = 'https://i.imgur.com/pJSKHjS.png'
icon_1955 = 'https://i.imgur.com/T7RF39y.png'
icon_1954 = 'https://i.imgur.com/rzfvngT.png'
icon_1953 = 'https://i.imgur.com/evtg09p.png'
icon_1952 = 'https://i.imgur.com/XhefTdf.png'
icon_1951 = 'https://i.imgur.com/yYya1Df.png'
icon_1950 = 'https://i.imgur.com/b3gK01R.png'
icon_1949 = 'https://i.imgur.com/vCcVSBo.png'
icon_1948 = 'https://i.imgur.com/or63ZR5.png'
icon_1947 = 'https://i.imgur.com/5aoITg4.png'
icon_1946 = 'https://i.imgur.com/ej6SHWx.png'
icon_1945 = 'https://i.imgur.com/z66Tw4I.png'
icon_1944 = 'https://i.imgur.com/SdpsiGg.png'
icon_1943 = 'https://i.imgur.com/44BcMiv.png'
icon_1942 = 'https://i.imgur.com/9tlJRqd.png'
icon_1941 = 'https://i.imgur.com/MoLuomM.png'
icon_1940 = 'https://i.imgur.com/g374Hmn.png'
icon_1939 = 'https://i.imgur.com/IsFbNqV.png'

## addon settings
## in case its needed later
setting = xbmcaddon.Addon().getSetting
setting_true = lambda x: bool(True if setting(str(x)) == "true" else False)
setting_set = xbmcaddon.Addon().setSetting
## NOTES ON USE
## xbmcaddon.Addon().openSettings()   # open settings screen
## addonZone = setting('zoneInfo') # find current setting for zoneInfo
## zoneInfo = setting_set('UTC') # edit current setting for zoneInfo




menu_text = 'deepskyblue' 
item_text = 'orange' 
info_text = 'FFff8397b0' 
warning_text = 'red' 

#### IN ADDON WOULD BE
data_id = 'script.qonos'
myPath = os.path.join(addon_data_folder, data_id)
if not os.path.exists(myPath) : os.mkdir(myPath)

## FOR MOVIES ####
moviePath = myPath + '/portal/movies'
if not os.path.exists(moviePath): os.makedirs(moviePath)

## FOR TV ####
tvPath = myPath + '/portal/tv'
if not os.path.exists(tvPath): os.makedirs(tvPath)

rPath = myPath + '/portal/replay'
if not os.path.exists(rPath): os.makedirs(rPath)


## FOR SPORT ####
sportPath = myPath + '/portal/sport'
if not os.path.exists(sportPath): os.makedirs(sportPath)
#####################
## FOR CONCERT####
qPath = myPath + '/portal/concert'
if not os.path.exists(qPath): os.makedirs(qPath)

#For TEST SECTION


testPath = myPath + '/portal/testSection'
if not os.path.exists(testPath): os.makedirs(testPath)

livePath = myPath + "/portal/livetv"
if not os.path.exists(livePath): os.makedirs(livePath)

##END##
#####################
#####################
##### OLD SETUP 
## myPath = os.path.join(addon_data_folder, addon_id)
# data_id = 'script.qonos'
# myPath = os.path.join(addon_data_folder, data_id)
# print ('PJ DEBUG - myPath = ' + str(myPath)) 
# if not os.path.exists(myPath) : os.mkdir(myPath)
# readPath = myPath + '/portal'
# if not os.path.exists(readPath): os.makedirs(readPath)
#####################

USER_AGENTS = [
    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.2; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.2; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.2; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.79 Safari/537.36"
]

